tigase.xml

## Class DomBuilderHandler

- java.lang.Object
- - tigase.xml.DomBuilderHandler

- All Implemented Interfaces:
    SimpleHandler

      public class DomBuilderHandler
      extends Object
      implements SimpleHandler

  `DomBuilderHandler` - implementation of `SimpleHandler` building DOM strctures during parsing time. It also supports creation multiple, sperate document trees if parsed buffer contains a few XML documents. As a result of work it returns always `Queue` containing all found XML trees in the same order as they were found in network data.
  Document trees created by this DOM builder consist of instances of `Element` class or instances of class extending `Element` class. To receive trees built with instances of proper class user must provide `ElementFactory` implementation creating instances of required `ELement` extension.

  Created: Sat Oct 2 22:01:34 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomBuilderHandler()`
    `DomBuilderHandler(ElementFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `elementCData(StringBuilder cdata)`
    `boolean` | `endElement(StringBuilder name)`
    `void` | `error(String errorMessage)`
    `Queue<Element>` | `getParsedElements()`
    `void` | `otherXML(StringBuilder other)`
    `Object` | `restoreParserState()`
    `void` | `saveParserState(Object state)`
    `void` | `startElement(StringBuilder name, StringBuilder[] attr_names, StringBuilder[] attr_values)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomBuilderHandler

          public DomBuilderHandler(ElementFactory factory)

    - #### DomBuilderHandler

          public DomBuilderHandler()

  - ### Method Detail

    - #### getParsedElements

          public Queue<Element> getParsedElements()

    - #### error

          public void error(String errorMessage)

      Specified by:
        `error` in interface `SimpleHandler`

    - #### startElement

          public void startElement(StringBuilder name,
                                   StringBuilder[] attr_names,
                                   StringBuilder[] attr_values)

      Specified by:
        `startElement` in interface `SimpleHandler`

    - #### elementCData

          public void elementCData(StringBuilder cdata)

      Specified by:
        `elementCData` in interface `SimpleHandler`

    - #### endElement

          public boolean endElement(StringBuilder name)

      Specified by:
        `endElement` in interface `SimpleHandler`

    - #### otherXML

          public void otherXML(StringBuilder other)

      Specified by:
        `otherXML` in interface `SimpleHandler`

    - #### saveParserState

          public void saveParserState(Object state)

      Specified by:
        `saveParserState` in interface `SimpleHandler`

    - #### restoreParserState

          public Object restoreParserState()

      Specified by:
        `restoreParserState` in interface `SimpleHandler`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.